<?php
require_once("template.php");

// if($_POST['id']!=""){ //si l'id est renseigné il s'agit d'une modification
//     if(isset($_POST["date"]) && isset($_POST["quantite"]) && isset($_POST["select_aliment"])){
//         $requete= "UPDATE `journal` SET `aliment` = '".$_POST['aliment']."', `calories` = '".$_POST['calories']."', `type` = '".$_POST['cat']."' WHERE `aliments`.`id_aliment` = ".$_POST['id'];
//         $mysqli->query($requete);
//         $msg="L'aliment a bien été modifié";
//     }
//     else{
//         $msg="Il manque des informations";
//     }
    
// }
// else{ //sinon il s'agit d'un ajout 
    if(isset($_POST["date"]) && isset($_POST["quantite"]) && isset($_POST["select_aliment"])){ 
        $idprovisoire=1;
        $a='SELECT `id_aliment` FROM `aliments` WHERE `aliment` ="'.$_POST["select_aliment"].'"';
        $b = $mysqli->query($a);
        $c=$b->fetch_all();
        $idaliment= $c[0][0];

        $requete="INSERT INTO `journal` (`date`,`id`, `id_aliment`,`quantite`) VALUES ( '" .$_POST['date'] . "', '" .$idprovisoire . "', '" .$idaliment . "', '" . $_POST['quantite'] . "')";
        $mysqli->query($requete);
        $msg="L'élément a bien été ajouté au journal";
    } else{
        $msg="Il manque des informations";
    }
// 

echo $msg; 





